Or
Logical And Shift Operations

Sample by sample bitwise OR of the samples from two signals. More...

## Functions

NppStatus | nppsOr_8u (const Npp8u *pSrc1, const Npp8u *pSrc2, Npp8u *pDst, int nLength)
| 8-bit unsigned char signal or with signal. More...
NppStatus | nppsOr_16u (const Npp16u *pSrc1, const Npp16u *pSrc2, Npp16u *pDst, int nLength)
| 16-bit unsigned short signal or with signal. More...
NppStatus | nppsOr_32u (const Npp32u *pSrc1, const Npp32u *pSrc2, Npp32u *pDst, int nLength)
| 32-bit unsigned integer signal or with signal. More...
NppStatus | nppsOr_8u_I (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength)
| 8-bit unsigned char in place signal or with signal. More...
NppStatus | nppsOr_16u_I (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength)
| 16-bit unsigned short in place signal or with signal. More...
NppStatus | nppsOr_32u_I (const Npp32u *pSrc, Npp32u *pSrcDst, int nLength)
| 32-bit unsigned integer in place signal or with signal. More...

## Detailed Description

Sample by sample bitwise OR of the samples from two signals.

## Function Documentation

NppStatus nppsOr_16u | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | Npp16u * | pDst,
|  | int | nLength
| ) |  |

16-bit unsigned short signal or with signal.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal2 elements to be ored with signal1 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsOr_16u_I | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

16-bit unsigned short in place signal or with signal.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal2 elements to be ored with signal1 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsOr_32u | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | Npp32u * | pDst,
|  | int | nLength
| ) |  |

32-bit unsigned integer signal or with signal.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal2 elements to be ored with signal1 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsOr_32u_I | ( | const Npp32u * | pSrc,
|  | Npp32u * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit unsigned integer in place signal or with signal.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal2 elements to be ored with signal1 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsOr_8u | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | Npp8u * | pDst,
|  | int | nLength
| ) |  |

8-bit unsigned char signal or with signal.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal2 elements to be ored with signal1 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsOr_8u_I | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength
| ) |  |

8-bit unsigned char in place signal or with signal.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal2 elements to be ored with signal1 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation